## com.puppycrawl.tools.checkstyle.checks.blocks
Class EmptyBlockCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck<BlockOption>
                      com.puppycrawl.tools.checkstyle.checks.blocks.EmptyBlockCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class EmptyBlockCheck

extends AbstractOptionCheck<BlockOption>

Checks for empty blocks. The policy to verify is specified using the `BlockOption` class and defaults to `BlockOption.STMT`.

By default the check will check the following blocks: `LITERAL_WHILE`, `LITERAL_TRY`, `LITERAL_CATCH`, `LITERAL_FINALLY`, `LITERAL_DO`, `LITERAL_IF`, `LITERAL_ELSE`, `LITERAL_FOR`, `STATIC_INIT`.

An example of how to configure the check is:

     <module name="EmptyBlock"/>

An example of how to configure the check for the `BlockOption.TEXT` policy and only catch blocks is:

     <module name="EmptyBlock">
        <property name="tokens" value="LITERAL_CATCH"/>
        <property name="option" value="text"/>
     </module>

Author:
  Lars Kühne

Constructor Summary
`EmptyBlockCheck()` Creates a new `EmptyBlockCheck` instance.

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`protected boolean` `hasText(DetailAST aSlistAST)`
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyBlockCheck

    public EmptyBlockCheck()

  Creates a new `EmptyBlockCheck` instance.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### hasText

    protected boolean hasText(DetailAST aSlistAST)

  Parameters:
    `aSlistAST` - a `DetailAST` value
  Returns:
    whether the SLIST token contains any text.

Copyright © 2001-2011. All Rights Reserved.